IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

List Datasets GETGenerate Dataset Credentials POST
TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Datasets

List Datasets

Retrieve all datasets available for your team including jobs, companies, and technographics. Datasets are updated daily in Parquet format. Use this endpoint to get the latest download URLs for bulk data access.

GET
/v1/datasets

Authorization

Bearer
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.theirstack.com/v1/datasets"
[
  {
    "type": "jobs",
    "description": "string",
    "is_accessible": true,
    "options": [
      {
        "id": "string",
        "description": "string",
        "item_type": "file",
        "format": "csv",
        "frequency": "daily",
        "version": "string",
        "is_deprecated": true,
        "dataset_prefix": "string",
        "dataset_url": "string",
        "dictionary_url": "string",
        "sample_dataset_url": "string",
        "last_updated": "2019-08-24T14:15:22Z",
        "size": 0
      }
    ]
  }
]
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}
{
  "request_id": null,
  "error": {
    "code": "E-001",
    "title": "Not allowed exception",
    "description": "string"
  }
}

How is this guide?

Last updated on

Create Company List POST

Previous Page

Generate Dataset Credentials POST

Generate temporary S3 credentials to directly access and download dataset files from cloud storage. Credentials are valid for 7 days by default and provide read-only access to your team's available datasets.